Архив метки: pacman

Arch Linux: File /usr/lib/libQt5Positioning.so.5.12.0 is empty, not checked

14 декабря 2018
 

 Уже не первый раз ноут вырубается от перегрева (см. Linux: /lib/modules/4.16.13-1-ARCH/modules.devname not found и error: file ‘/grub/i386-pc/normal.mod’ not found и Linux: /usr/bin/ps: empty и ldconfig: File /usr/lib/libprocps.so.7 is empty, not checked.), теперь вылезла аналогичная проблема, но с библиотеками Qt. В /var/log/pacman.log куча ошибок типа: [2018-12-13 21:55] [ALPM-SCRIPTLET] ldconfig: File /usr/lib/libQt5Positioning.so.5.12.0 is empty, not checked. [2018-12-13 21:55] [ALPM-SCRIPTLET] ldconfig:… Читать далее »

Arch Linux: pacman — key «CEB167EFB5722BD6» could not be looked up remotely:

9 января 2018
 

 Проблема Во время попытки очередной раз обновиться — возникает ошибка ключей: $ sudo pacman -Syu … Packages (60) archlinux-keyring-20180108-1 argon2-20171227-3 bind-tools-9.11.2-3 binutils-2.29.1-2 boost-libs-1.66.0-1 chromium-63.0.3239.132-2 cmake-3.10.1-2 cryptsetup-2.0.0-5 e2fsprogs-1.43.8-1 firefox-57.0.4-1 gcc-7.2.1+20171224-2 gcc-libs-7.2.1+20171224-2 geoip-database-20180102-1 glibc-2.26-10 gwenview-17.12.0-2 imagemagick-7.0.7.21-1 intel-tbb-2018_20171205-1 jansson-2.10-3 json-c-0.13-1 kuiserver-5.11.5-1 lib32-acl-2.2.52-3 lib32-gcc-libs-7.2.1+20171224-2 lib32-glibc-2.26-10 lib32-libjpeg-turbo-1.5.3-1 libabw-0.1.2-1 libatomic_ops-7.6.2-1 libcmis-0.5.1-8 libe-book-0.1.3-1 libfilezilla-0.11.2-1 libixion-0.12.2-4 libmagick-7.0.7.21-1 libmagick6-6.9.9.33-1 libmspub-0.1.3-1 libnghttp2-1.29.0-1 liborcus-0.12.1-4 librsvg-2:2.41.2-1 linux-4.14.12-1… Читать далее »

Arch Linux: VLC — no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)

27 декабря 2017
 

 После очередного обновления, при запуске VLC плеера — открывается только окно с изображением, а все менюшки отсутсвуют: Лог запуска говорит, что: Собственно, сейчас тут интересует одна строка: [0000562f560b6c58] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly) Проверяем зависимости для VLC: Или сразу с… Читать далее »

Arch Linux: чистим /var

18 октября 2017
 

 Быстрая заметка по очистке /var на Arch Linux. Корневой раздел — 30 гиг, занято 26: # df -h / | grep root /dev/mapper/kubuntu_vg-root 30G 26G 2.3G 93% / (когда-то на ноуте была Kubuntu, потом мигрировал на Arch) Находим самые большие директории:

Arch Linux: error: failed to commit transaction (conflicting files)

5 октября 2017
 

 Проблема Во время установки пакета из AUR — возникает ошибка: … :: Proceed with installation? [Y/n] (2/2) checking keys in keyring [########] 100% (2/2) checking package integrity [########] 100% (2/2) loading package files [########] 100% (2/2) checking for file conflicts [########] 100% error: failed to commit transaction (conflicting files) python-dateutil: /usr/lib/python3.6/site-packages/dateutil/__init__.py exists in filesystem python-dateutil:… Читать далее »

Arch Linux: error: key «4A1AFC345EBE18F8» could not be looked up remotely

28 августа 2017
 

 Во время апдейта системы: $ sudo pacman -Syu … lib32-libdrm-2.4.83-1-x86_64 133.9 KiB 145K/s 00:01 [########################################################################################] 100% (37/37) checking keys in keyring [########################################################################################] 100% downloading required keys… error: key «4A1AFC345EBE18F8» could not be looked up remotely error: required key missing from keyring error: failed to commit transaction (unexpected error) Errors occurred, no packages were upgraded.

Arch: skype error while loading shared libraries: libssl.so.1.0.0 — три решения

6 мая 2017
 

 После очередного обновления — Skype перестал запускаться с ошибкой отсутствия библиотеки: $ skype /usr/lib32/skype/skype: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory Проверяем зависимости общих библиотек с помощью ldd: